> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyparrow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update variant stock

> Update the stock quantity of a specific product variant



## OpenAPI

````yaml /openapi.json patch /products/{productId}/variants/{variantId}/stock
openapi: 3.0.0
info:
  description: |-
    Hyparrow payment gateway API. Authenticate server-to-server
    requests with your API key credentials.
  title: Hyparrow API
  termsOfService: https://hyparrow.cloud/terms
  contact:
    name: Hyparrow Support
    email: support@hyparrow.com
  version: '1.0'
servers:
  - url: https://api.hyparrow.cloud/api/v1
    description: Production
  - url: https://sandbox.hyparrow.cloud/api/v1
    description: Sandbox - simulated providers, test keys only, no real money
security: []
paths:
  /products/{productId}/variants/{variantId}/stock:
    patch:
      tags:
        - Products
      summary: Update variant stock
      description: Update the stock quantity of a specific product variant
      parameters:
        - description: Product ID
          name: productId
          in: path
          required: true
          schema:
            type: string
        - description: Variant ID
          name: variantId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/Request'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    Request:
      content:
        application/json:
          schema:
            type: object
      description: Stock payload (quantity)
      required: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Server-to-server auth. Send your API key in the "X-API-Key" header and
        your API secret in the "X-API-Secret" header.
      type: apiKey
      name: X-API-Key
      in: header

````